--exec sp_recompile '[C6MartPeriodico].[GESTIONE_SELECT_FTP_INVIATI]'
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[GESTIONE_SELECT_FTP_INVIATI_prova_20141223] 
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
    declare @idFkzip int
 select @idFkzip  = max(id_fk_zip) 
	from c6martperiodico.gestione_pdf_ftp_prova_20141223 
print @idFkzip
-- Facciate(6)CppBollettini(2)IDENTIFICATIVODOCUMENTO(50)NOMINATIVODESTINATARIO(50)VIA(50)CAP(5)LOCALITA(50)PROVINCIA(2)NAZIONE(1)TIPOPOSTALIZZAZIONE(2)FILESPOOL(50)ALLEGATO1(1)ALLEGATO1(2)NAZIONEESTERA(30)
--FacciateXXXXX(6)00CodiceFiscale(50)NOMINATIVODESTINATARIO(50)VIA(50)CAP(5)LOCALITA(50)PROVINCIA(2)IoE(1)PE(2)NOMEFILE(50)0(1)0(2)NAZIONEESTERA(30)
--	(right('000000' + cast(isnull(GESTIONE_PDF_FTP.numeroPagine,0) as varchar(6)),6) -- Facciate(6)
--	+ '00' --CppBollettini(2)
--	+ '                                                  ' --IDENTIFICATIVODOCUMENTO(50)
--	+ LEFT(isnull(ANAG_CLIENTI.Cognome,'COGNOME') + ' ' + ISNULL(ANAG_CLIENTI.Nome,'NOME') + '                                                  ',50) -- NOMINATIVODESTINATARIO(50)
--    + LEFT(CONTRATTOSEI.Indirizzo + '                                                  ',50) --VIA(50)
--    + LEFT(CONTRATTOSEI.CAP + '     ',5) --CAP(5)  
--	+ LEFT(CONTRATTOSEI.Citta + '                                                  ',50) --LOCALITA(50)
--	+ LEFT(CONTRATTOSEI.Prov + '  ',2)--PROVINCIA(2)
--	+ (CASE UPPER(CONTRATTOSEI.Nazione) WHEN 'ITALIA' THEN 'I' ELSE 'E' END) -- IoE(1)
--    + 'PE' --TIPOPOSTALIZZAZIONE(2)
--	+ LEFT(GESTIONE_PDF_FTP.NomeFile + '                                                  ',50)--NOMEFILE(50)
--	+ '0' --0(1)
--    + '0' --0(2)
--    + LEFT((CASE UPPER(CONTRATTOSEI.Nazione) WHEN 'ITALIA' THEN '' ELSE CONTRATTOSEI.Nazione END) + '                               ',30)) -- NAZIONEESTERA(30)
--	
    SELECT DISTINCT 
		--codiceFiscale,
		--id_fk_zip,
		[C6MartPeriodico].CONCATENA_prova_20141223(C6MartPeriodico.GESTIONE_PDF_FTP_prova_20141223.Rete, C6MartPeriodico.GESTIONE_PDF_FTP_prova_20141223.CodiceFiscale) AS riga
	FROM C6MartPeriodico.GESTIONE_PDF_FTP_prova_20141223
	INNER JOIN C6MARTPERIODICO.CONTRATTOSEI
		ON CONTRATTOSEI.Rete = GESTIONE_PDF_FTP_prova_20141223.Rete
		AND CONTRATTOSEI.COD_FISCALE = GESTIONE_PDF_FTP_prova_20141223.CodiceFiscale
	INNER JOIN [C6MartPeriodico].ANAG_CLIENTI 
		ON ANAG_CLIENTI.Rete = GESTIONE_PDF_FTP_prova_20141223.Rete
		AND ANAG_CLIENTI.COD_FISCALE = GESTIONE_PDF_FTP_prova_20141223.CodiceFiscale
	WHERE --DATEDIFF(DAY,GESTIONE_PDF_FTP.DataInvio,GETDATE()) = 0
--		OR DATEDIFF(DAY,GESTIONE_PDF_FTP.DataInvioRistampa,GETDATE()) = 0
	 GESTIONE_PDF_FTP_prova_20141223.id_fk_zip = @idFkzip -- 351
		--(select max(id_fk_zip) 
		-- from c6martperiodico.gestione_pdf_ftp
	 --)	
	--order by codiceFiscale
END